%define channel dev
%define crname chromium-browser
%define _crdir %{_libdir}/%{crname}
%define basever 13.0.761.0
%define patchver() ([ -f %{_sourcedir}/patch-%1-%2.diff.xz ] || exit 1; xz -dc %{_sourcedir}/patch-%1-%2.diff.xz|patch -p1);

Name: chromium-browser-unstable
Version: 13.0.767.1
Release: %mkrel 1
Summary: A fast webkit-based web browser
Group: Networking/WWW
License: BSD, LGPL
URL: http://www.chromium.org/getting-involved/dev-channel
Source0: chromium-%{basever}.tar.xz
Source1: chromium-wrapper
Source2: chromium-browser.desktop
Source1000: patch-13.0.761.0-13.0.767.1.diff.xz
Source1001: binary-13.0.761.0-13.0.767.1.tar.xz
Patch0: chromium-13.0.767.1-skip-builder-tests.patch
Patch1: chromium-13.0.767.1-gcc46.patch
Patch2: chromium-13.0.767.1-exclude-chromeos-options.patch
Provides: %{crname}
Conflicts: chromium-browser-stable
Conflicts: chromium-browser-beta
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: bison, flex, gtk2-devel, atk-devel, libexpat-devel, gperf
BuildRequires: libnspr-devel, libnss-devel, libalsa-devel
BuildRequires: libglib2-devel, libbzip2-devel, libz-devel, libpng-devel
BuildRequires: libjpeg-devel, libmesagl-devel, libmesaglu-devel
BuildRequires: libxscrnsaver-devel, libdbus-glib-devel, libcups-devel
BuildRequires: libgnome-keyring-devel libvpx-devel libxtst-devel
BuildRequires: libxslt-devel libxml2-devel libxt-devel libpam-devel
BuildRequires: libevent-devel libflac-devel libgnutls-devel
ExclusiveArch: i586 x86_64 armel

%description
Chromium is a browser that combines a minimal design with sophisticated
technology to make the web faster, safer, and easier.

This is the developer preview channel Chromium browser. It contains the
latest features but can be unstable at times, and new features may
require manual configuration to be enabled. If you prefer a stable and
tested browser, install the chromium-browser-stable package instead.

Note: If you are reverting from unstable to stable or beta channel, you may
experience tab crashes on startup. This crash only affects tabs restored
during the first launch due to a change in how tab state is stored.
See http://bugs.chromium.org/34688. It's always a good idea to back up
your profile before changing channels.

%prep
%setup -q -n chromium-%{basever}
%patchver 13.0.761.0 13.0.767.1
tar xvf %{_sourcedir}/binary-13.0.761.0-13.0.767.1.tar.xz

%patch0 -p1 -b .skip-builder-tests
%patch1 -p1 -b .gcc46
%patch2 -p1 -b .exclude-chromeos-options
echo "%{channel}" > build/LASTCHANGE.in

sed -i -e '/test_support_common/s/^/#/' \
	chrome/browser/sync/tools/sync_tools.gyp

# Hard code extra version
FILE=chrome/browser/platform_util_common_linux.cc
sed -i.orig -e 's/getenv("CHROME_VERSION_EXTRA")/"%{product_vendor} %{product_version}"/' $FILE
cmp $FILE $FILE.orig && exit 1

# Remove old files
# 13.0.767.1
rm third_party/libsrtp/src/doc/libsrtp.pdf

%build
export GYP_GENERATORS=make
build/gyp_chromium --depth=. \
	-D linux_sandbox_path=%{_crdir}/chrome-sandbox \
	-D linux_sandbox_chrome_path=%{_crdir}/chrome \
	-D linux_link_gnome_keyring=0 \
	-D use_gconf=0 \
	-D werror='' \
	-D use_system_sqlite=0 \
	-D use_system_libxml=1 \
	-D use_system_zlib=1 \
	-D use_system_bzip2=1 \
	-D use_system_libpng=1 \
	-D use_system_libjpeg=1 \
	-D use_system_libevent=1 \
	-D use_system_flac=1 \
	-D use_system_vpx=0 \
	-D use_system_icu=0 \
%ifarch i586
	-D disable_sse2=1 \
	-D release_extra_cflags="-march=i586"
%endif

# Note: DON'T use system sqlite (3.7.3) -- it breaks history search

%make chrome chrome_sandbox BUILDTYPE=Release

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_crdir}/locales
mkdir -p %{buildroot}%{_crdir}/themes
mkdir -p %{buildroot}%{_mandir}/man1
install -m 755 %{_sourcedir}/chromium-wrapper %{buildroot}%{_crdir}/
install -m 755 out/Release/chrome %{buildroot}%{_crdir}/
install -m 4755 out/Release/chrome_sandbox %{buildroot}%{_crdir}/chrome-sandbox
install -m 644 out/Release/chrome.1 %{buildroot}%{_mandir}/man1/%{crname}.1
install -m 644 out/Release/chrome.pak %{buildroot}%{_crdir}/
install -m 755 out/Release/libffmpegsumo.so %{buildroot}%{_crdir}/
install -m 755 out/Release/libppGoogleNaClPluginChrome.so %{buildroot}%{_crdir}/
install -m 644 out/Release/locales/*.pak %{buildroot}%{_crdir}/locales/
install -m 644 out/Release/xdg-settings %{buildroot}%{_crdir}/
install -m 644 out/Release/resources.pak %{buildroot}%{_crdir}/
ln -s %{_crdir}/chromium-wrapper %{buildroot}%{_bindir}/%{crname}

find out/Release/resources/ -name "*.d" -exec rm {} \;
cp -r out/Release/resources %{buildroot}%{_crdir}

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{_sourcedir}/%{crname}.desktop %{buildroot}%{_datadir}/applications/

# icon
for i in 16 32 48 256; do
	mkdir -p %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps
	install -m 644 chrome/app/theme/chromium/product_logo_$i.png \
		%{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{crname}.png
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{crname}
%{_crdir}/chromium-wrapper
%{_crdir}/chrome
%{_crdir}/chrome-sandbox
%{_crdir}/chrome.pak
%{_crdir}/libffmpegsumo.so
%{_crdir}/libppGoogleNaClPluginChrome.so
%{_crdir}/locales
%{_crdir}/resources.pak
%{_crdir}/resources
%{_crdir}/themes
%{_crdir}/xdg-settings
%{_mandir}/man1/%{crname}*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/%{crname}.png


%changelog
* Thu May 19 2011 Claudio Matsuoka <claudio@mandriva.com> 13.0.767.1-1
+ Revision: 676095
- new upstream release 13.0.767.1 (dev)
  * Print preview work continues
  * Omnibox string matching improvements
- detailed changelog at http://goo.gl/j6VMi

* Sat May 14 2011 Claudio Matsuoka <claudio@mandriva.com> 13.0.761.0-1
+ Revision: 674602
- new upstream release 13.0.761.0 (dev)

* Fri May 06 2011 Claudio Matsuoka <claudio@mandriva.com> 12.0.742.21-1
+ Revision: 670676
- new upstream release 12.0.742.21 (dev)
  * UI, performance, and stability issues
- detailed changelog at http://goo.gl/h82lP

* Thu May 05 2011 Claudio Matsuoka <claudio@mandriva.com> 12.0.742.16-1
+ Revision: 669305
- new upstream release 12.0.746.16 (dev)
  * address UI and performance issues
- detailed changelog at http://goo.gl/Zk7IX

* Fri Apr 29 2011 Claudio Matsuoka <claudio@mandriva.com> 12.0.742.12-1
+ Revision: 660588
- new upstream release 12.0.742.12 (dev)
  * address UI and performance issues
  * update Sync preferences UI
- detailed changelog at http://goo.gl/rzt6F

* Tue Apr 26 2011 Claudio Matsuoka <claudio@mandriva.com> 12.0.742.9-1
+ Revision: 659302
- new upstream release 12.0.742.9 (dev)
  * address UI and performance issues
  * update sync preferences UI
  * detailed changelog at http://goo.gl/wrdot
- new upstream release 12.0.742.5 (dev)
  * fix for sync regression
  * other bugfixes (detailed changelog at http://goo.gl/jGjPO)

* Thu Apr 21 2011 Claudio Matsuoka <claudio@mandriva.com> 12.0.742.0-1
+ Revision: 656378
- new upstream release 12.0.742.0 (dev)
  * stability and performance fixes
- detailed changelog at http://goo.gl/vT3Uf

* Thu Apr 14 2011 Claudio Matsuoka <claudio@mandriva.com> 12.0.733.0-1
+ Revision: 652954
- new upstream release 12.0.733.0 (dev)
  * stability and UI tweaks
- detailed changelog at http://goo.gl/wKW5I

* Thu Apr 07 2011 Claudio Matsuoka <claudio@mandriva.com> 12.0.725.0-1
+ Revision: 651782
- fix gcc 4.6 build issues
- new upstream release 12.0.725.0 (dev)
  * update V8 to 3.2.6.0
  * lots of code cleanup and refactoring under the covers
  * 78475 regression: Bidi Chrome UI lost directional display in menu
  * 78501 regression: NACL apps are no longer working
  * 78509 regression: Autofill fails on certain forms
  * 78073 regression: Autocomplete sometimes pops up in the upper left corner
- detailed changelog at http://goo.gl/6qDLq
- use system libflac, drop speex requirement

* Sat Mar 26 2011 Claudio Matsuoka <claudio@mandriva.com> 12.0.712.0-1
+ Revision: 648558
- new upstream release 12.0.712.0 (dev)
  * lots of behind the scenes work (code cleanup and refactorings)
  * numerous crash and regresson fixes
  * updated V8 to 3.2.3.1
  * detailed changelog at http://goo.gl/XF7wu

* Tue Mar 22 2011 Claudio Matsuoka <claudio@mandriva.com> 11.0.696.16-1
+ Revision: 647589
- revert some changes introduced in revision 647140, Chromium doesn't
  build with some of the system libraries including libicu44.
- new upstream release 11.0.696.16 (dev)
  * fix clicking on the labels closing content settings dialog (Issue 76115)
  * fix keyring unlocking making chrome unusable (Issue 72499)
  * fix sample extension for chrome.experimental.proxy API (Issue 62700)
  * fix several known crashes (Issues 76401, 75264)

  + Funda Wang <fwang@mandriva.org>
    - build with more system libs

* Fri Mar 18 2011 Claudio Matsuoka <claudio@mandriva.com> 11.0.696.14-1
+ Revision: 646473
- new upstream release 11.0.696.14 (dev)
  * blacklist a small number of HTTPS certificates
  * translation updates
  * fix about:gpu launching GPU process even if GPU is blocked by software
    rendering list (Issue 76115)
  * fix restore infobar after crash (Issue 75654)
  * fix app context-menu after uninstalling the extension (Issue 75662)
  * fix for a known crash (Issue 74777)
  * fix SPDY-related check failure (Issue 75657)

* Wed Mar 16 2011 Claudio Matsuoka <claudio@mandriva.com> 11.0.696.12-1
+ Revision: 645448
- new upstream release 11.0.696.12 (dev)
  * fix New York Times Chrome app crashes (Issue 75563)
  * fix sync login dlg is truncated (Issue 72490)
  * fix status bar/target URL not shown when hovering over links (Issue 75268)
  * fix several known crashes (Issues 75171, 75443 and 75828)
  * fix bookmark focus not lost when moved away from bookmark bar (Issue 75367)
  * fix tooltips from browser tabs persisting for too long (Issue 75334)
  * fix for content settings updates not reflecting current Incognito
    session (Issue 74466)
  * fix for NewTabPage not updating when a new theme is applied (Issue 74311)
  * fixed download requests in chrome frame which occur in response to top
    level POSTs (Issue 73985)
  * fix lock up on form submit, constantly duplicating autofill settings to
    blame (Issue 74911)
- updated chromium theme art from 11.0.696.12
- check presence of patch files

* Sat Mar 12 2011 Claudio Matsuoka <claudio@mandriva.com> 11.0.696.3-2
+ Revision: 643869
- new upstream release 11.0.696.1 (dev)
  * updated V8 to 3.2.0.1
  * New cookies and other data page in tabbed settings (Issue 64154).
- update to 11.0.696.3 (dev)
  * fix omnibox auto suggested entries selection (Issue 75366).
  * fix "Behavior" string is externalized on the Exceptions page (Issue 74080).
  * fix Chromium not loading some plugins (Issue 75351).
  * fix POST omits body after NTLM authentication (Issue 62687).
- apply patches correctly

* Wed Mar 09 2011 Claudio Matsuoka <claudio@mandriva.com> 11.0.686.3-1
+ Revision: 643155
- new upstream release 11.0.686.3 (dev)
  * fix autofill related crash (issue 74511)
- new upstream release 11.0.686.1 (dev)
  * fixes the HTML5 issue noted in 11.0.686.0 (Issue 74451).

* Tue Mar 01 2011 Claudio Matsuoka <claudio@mandriva.com> 11.0.686.0-1
+ Revision: 641208
- new upstream release 11.0.686.0 (dev)
  * Updated V8 - 3.1.6.1
  * Accelerated compositing turned on by default (use
    --disable-accelerated-layers to disable).
  * Fixed a bug affecting the bookmark manager and other extensions.
    (Issue 43448)
  * FTP: fixed a compatibility issue. (Issue 72060)
  * Known issue: HTML5 videos don't play on Vimeo.com (Issue 74451)
  * More details about additional changes available at http://goo.gl/fDmIa
- add libpam-devel as build requirement

* Fri Feb 18 2011 Claudio Matsuoka <claudio@mandriva.com> 11.0.672.2-1
+ Revision: 638543
- remove unnecessary webkit svn revision patch
- new upstream release 11.0.672.2
- move 10.0.648.82 patch from unstable to beta
- move 10.0.648.45 base tarball from unstable to beta

* Thu Feb 17 2011 Claudio Matsuoka <claudio@mandriva.com> 10.0.648.82-1
+ Revision: 638250
- new upstream release 10.0.648.82 (dev)
- conflict with chromium-browser beta
- add beta browser to the downgrade notice in spec description
- don't obsolete chromium-browser
- add obsoletes entry for old (canary) chromium-browser package

* Thu Feb 10 2011 Claudio Matsuoka <claudio@mandriva.com> 10.0.648.45-1
+ Revision: 637113
- imported package chromium-browser-unstable

